FBasicNode
Keywords: com.fg.ftree.FBasicNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.ftree
Class FBasicNode

    java.lang.Object
      com.fg.ftree.FBasicNode

All Implemented Interfaces:
  javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

Direct Known Subclasses:
  FAbstractToggleNode

public class FBasicNode
extends java.lang.Object
implements javax.swing.tree.MutableTreeNode

FBasicNode is a simple implementation of the `MutableTreeNode` interface, which is an ancestor of various kinds of nodes used with `FTree` component.

Version:
  2.0
Author:
  Felix Golubov
See Also:
  `TreeNode`, `MutableTreeNode`, `FTree`

Field Summary
`static int` | `ALLOWS_CHILDREN`
`static int` | `EDITABLE`

Constructor Summary
`FBasicNode()`

Method Summary
`void` | `add(javax.swing.tree.MutableTreeNode child)`
`java.util.Enumeration` | `children()`
`boolean` | `getAllowsChildren()`
`javax.swing.tree.TreeNode` | `getChildAt(int index)`
`int` | `getChildCount()`
`boolean` | `getFlag(int _flag)`
`int` | `getIndex(javax.swing.tree.TreeNode child)`
`javax.swing.tree.TreeNode` | `getParent()`
`java.lang.Object[]` | `getPath()`
`void` | `insert(javax.swing.tree.MutableTreeNode child, int index)`
`boolean` | `isEditable()`
`boolean` | `isLeaf()`
`void` | `moveContentTo(FBasicNode node)`
`void` | `remove(int index)`
`void` | `remove(javax.swing.tree.MutableTreeNode node)`
`void` | `removeFromParent()`
`void` | `setAllowsChildren(boolean allowsChildren)`
`void` | `setBranchEditable(boolean editable)`
`void` | `setEditable(boolean editable)`
`void` | `setFlag(int _flag, boolean value)`
`void` | `setParent(javax.swing.tree.MutableTreeNode newParent)`
`void` | `setUserObject(java.lang.Object object)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALLOWS_CHILDREN

    public static final int ALLOWS_CHILDREN

See Also:
  Constant Field Values

### EDITABLE

    public static final int EDITABLE

See Also:
  Constant Field Values

Constructor Detail

### FBasicNode

    public FBasicNode()

Method Detail

### setFlag

    public void setFlag(int _flag,
                        boolean value)

### getFlag

    public boolean getFlag(int _flag)

### children

    public java.util.Enumeration children()

  Specified by:
    `children` in interface `javax.swing.tree.TreeNode`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeNode`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in interface `javax.swing.tree.TreeNode`

### getChildAt

    public javax.swing.tree.TreeNode getChildAt(int index)

  Specified by:
    `getChildAt` in interface `javax.swing.tree.TreeNode`

### getParent

    public javax.swing.tree.TreeNode getParent()

  Specified by:
    `getParent` in interface `javax.swing.tree.TreeNode`

### getIndex

    public int getIndex(javax.swing.tree.TreeNode child)

  Specified by:
    `getIndex` in interface `javax.swing.tree.TreeNode`

### getAllowsChildren

    public boolean getAllowsChildren()

  Specified by:
    `getAllowsChildren` in interface `javax.swing.tree.TreeNode`

### setAllowsChildren

    public void setAllowsChildren(boolean allowsChildren)

### isEditable

    public boolean isEditable()

### setEditable

    public void setEditable(boolean editable)

### setBranchEditable

    public void setBranchEditable(boolean editable)

### insert

    public void insert(javax.swing.tree.MutableTreeNode child,
                       int index)

  Specified by:
    `insert` in interface `javax.swing.tree.MutableTreeNode`

### remove

    public void remove(int index)

  Specified by:
    `remove` in interface `javax.swing.tree.MutableTreeNode`

### remove

    public void remove(javax.swing.tree.MutableTreeNode node)

  Specified by:
    `remove` in interface `javax.swing.tree.MutableTreeNode`

### removeFromParent

    public void removeFromParent()

  Specified by:
    `removeFromParent` in interface `javax.swing.tree.MutableTreeNode`

### setParent

    public void setParent(javax.swing.tree.MutableTreeNode newParent)

  Specified by:
    `setParent` in interface `javax.swing.tree.MutableTreeNode`

### setUserObject

    public void setUserObject(java.lang.Object object)

  Specified by:
    `setUserObject` in interface `javax.swing.tree.MutableTreeNode`

### add

    public void add(javax.swing.tree.MutableTreeNode child)

### moveContentTo

    public void moveContentTo(FBasicNode node)

### getPath

    public java.lang.Object[] getPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD